跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

  1. 住宅代理
  2. 移动代理
  3. ISP代理
  4. 数据中心代理
  5. SERP API
  6. Scraping Browser
  7. Web Unlocker API
首先,请准备好代理凭据、用户名、密码以及主机名称。您可以在代理产品的访问参数或概述选项卡中找到这些凭据。

代码示例

准备好代理凭据后,请使用以下代码发送您的第一个请求:
curl "http://lumtest.com/myip.json" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>:<zone_password>
上面的代码是使用住宅代理向 http://lumtest.com/myip.json 发送请求。它会以JSON格式返回您的IP信息:
输出
{
  "ip": "ALLOCATED_IP",
  "country": "PK",
  "asn": {
    "asnum": 203020,
    "org_name": "HostRoyale Technologies Pvt Ltd"
  },
  "geo": {
    "city": "Islamabad",
    "region": "IS",
    "region_name": "Islamabad",
    "postal_code": "44040",
    "latitude": 33.7233,
    "longitude": 73.0435,
    "tz": "Asia/Karachi",
    "lum_city": "islamabad",
    "lum_region": "is"
  }
}
现在,将 https://lumtest.com/myip.json 替换为您选择的网站,然后 … 完成了!